package nxm.xbc.intr;

import nxm.sys.lib.Intrinsic;

/**
  Concatenate two strings

  @author Jeff Schoen
*/
public class Concatenate extends Intrinsic {

  /** default constructor */
  public Concatenate () {}

  public int process() {

    String string = MA.getCS("STRING");
    String chars = MA.getCS("CHARS");
    String label = MA.getU("LABEL");

    MR.put(label,string+chars);

    return (FINISH);
  }

}
